- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QStencilTest
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QStencilTest Class

class Qt3DRender::QStencilTest

The QStencilTest class specifies arguments for the stecil test. More...

Header: | `#include <QStencilTest>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | StencilTest
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestArguments* const
- front : Qt3DRender::QStencilTestArguments* const

## Public Functions

| QStencilTest(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QStencilTestArguments * | back() const

## Detailed Description

A Qt3DRender::QStencilTest class specifies argument for the stencil test. The stencil test comprises of three arguments: stencil test function, stencil test mask and stencil reference value. QStencilTest allows these arguments to be set for both front- and back-facing polygons separately.

See also Qt3DRender::QStencilMask and Qt3DRender::QStencilOperation.

## Property Documentation

### `[read-only]` back : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for back-facing polygons.

Access functions:

Qt3DRender::QStencilTestArguments * | back() const

### `[read-only]` front : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for front-facing polygons.

## Member Function Documentation

### `[explicit]` QStencilTest::QStencilTest(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QStencilTest::QStencilTest instance with the specified parent.